package com.zcloud.fire.check.service;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.api.FireCheckRecordHiddenServiceI;
import com.zcloud.fire.check.command.FireCheckRecordHiddenAddExe;
import com.zcloud.fire.check.command.FireCheckRecordHiddenRemoveExe;
import com.zcloud.fire.check.command.FireCheckRecordHiddenUpdateExe;
import com.zcloud.fire.check.command.query.FireCheckRecordHiddenQueryExe;
import com.zcloud.fire.check.dto.FireCheckRecordHiddenAddCmd;
import com.zcloud.fire.check.dto.FireCheckRecordHiddenPageQry;
import com.zcloud.fire.check.dto.FireCheckRecordHiddenUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordHiddenCO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:11:16
 */
@Service
@AllArgsConstructor
public class FireCheckRecordHiddenServiceImpl implements FireCheckRecordHiddenServiceI {
    private final FireCheckRecordHiddenAddExe fireCheckRecordHiddenAddExe;
    private final FireCheckRecordHiddenUpdateExe fireCheckRecordHiddenUpdateExe;
    private final FireCheckRecordHiddenRemoveExe fireCheckRecordHiddenRemoveExe;
    private final FireCheckRecordHiddenQueryExe fireCheckRecordHiddenQueryExe;

    @Override
    public PageResponse<FireCheckRecordHiddenCO> listPage(FireCheckRecordHiddenPageQry qry) {

        return fireCheckRecordHiddenQueryExe.execute(qry);
    }

    @Override
    public SingleResponse add(FireCheckRecordHiddenAddCmd cmd) {

        fireCheckRecordHiddenAddExe.execute(cmd);
        return SingleResponse.buildSuccess();
    }

    @Override
    public void edit(FireCheckRecordHiddenUpdateCmd fireCheckRecordHiddenUpdateCmd) {
        fireCheckRecordHiddenUpdateExe.execute(fireCheckRecordHiddenUpdateCmd);
    }

    @Override
    public void remove(Long id) {
        fireCheckRecordHiddenRemoveExe.execute(id);
    }

    @Override
    public void removeBatch(Long[] ids) {
        fireCheckRecordHiddenRemoveExe.execute(ids);
    }
}

